/*
 *	File:	interrupt.c
 *	Date:	09.01.2011
 */

#include "main.h"

//-----------------------------------------------------------------------------
void interrupt_init(void)
{
	NVIC_SetPriority(TIM1_TRG_COM_TIM17_IRQn, 15);
	NVIC_EnableIRQ(TIM1_TRG_COM_TIM17_IRQn);
}

//-----------------------------------------------------------------------------
void handler_tim1_trigger_and_communication_and_tim17(void)
{
	if (TIM17->SR & TIM_SR_UIF)
	{
		TIM17->SR &= ~TIM_SR_UIF;

		if (test_count == 0)
		{
			PIN_ON(LED_GREEN);
		}
		else if (test_count == 1000)
		{
			PIN_OFF(LED_GREEN);
		}

		if (++test_count >= 2000)
			test_count = 0;
	}
}
