///////////////////////////////////////////////////////////////////////////////
//	File:	main.h
//	Date:	2011-01-02
///////////////////////////////////////////////////////////////////////////////

#ifndef MAIN_H_
#define MAIN_H_

#include "mcu/stm32f10x.h"
#include "mcu/core_cm3.h"
#include "mcu/interrupt.h"

#include "utility/macros.h"
#include "utility/calendar.h"

#include "mcu/peripherals/mcu_gpio.h"
#include "mcu/peripherals/mcu_rcc.h"
#include "mcu/peripherals/mcu_rtc.h"
#include "mcu/peripherals/mcu_pwr.h"
#include "mcu/peripherals/mcu_tim17.h"

#include "mcu/peripherals/lcd_2x16.h"

#define LED_GREEN	C, 9, HIGH, GENERAL_OUTPUT_PUSH_PULL, SPEED_2MHZ
#define LED_BLUE	C, 8, HIGH, GENERAL_OUTPUT_PUSH_PULL, SPEED_2MHZ
#define BUTTON		A, 0, HIGH, INPUT_PULL_DOWN,

extern volatile uint16_t test_count;

extern void delay_ms(uint16_t time);

#endif /* MAIN_H_ */
