/*
 *	File:	calendar.h
 *	Date:	10.01.2011
 */

#ifndef CALENDAR_H_
#define CALENDAR_H_

typedef struct
{
	uint16_t year;
	uint8_t month;
	uint8_t day;
	uint8_t day_of_the_week;
	uint8_t hour;
	uint8_t minutes;
	uint8_t seconds;
} calendar_type;

extern const uint16_t week_day[];

extern void calendar_decoder(uint32_t value, calendar_type * calendar);
extern uint32_t calendar_coder(calendar_type * calendar);
extern uint8_t calendar_week_day(uint16_t year, uint8_t month, uint8_t day);
extern uint8_t calendar_check_leap(uint16_t year);

#endif /* CALENDAR_H_ */
